Simple Virtual Machine A simple but flexible virtual machine

Modules | Functions
SVM debugger

This module contains some low level access to the debugger. More...

## Modules
| SVM debugger break points
| This module contains API functions to handle SVM debugger break points and notifications.
| SVM debugger instruction
| This module contains API functions to handle SVM debugger instruction equivalents.
| SVM debugger form
| This module contains API functions to handle SVM debugger forms.

## Functions
SVM_FUNCTION void | svm_debug_synchronise (const void *svm, const SVM_Value value)
| This function allows explicit synchronisation of a value in the debugger. More...

## Detailed Description

This module contains some low level access to the debugger.

## Function Documentation

## ◆ svm_debug_synchronise()

SVM_FUNCTION void svm_debug_synchronise | ( | const void * | svm,
|  | const SVM_Value | value
| ) |  |

This function allows explicit synchronisation of a value in the debugger.

Parameters

  [in] | svm | The SVM pointer passed as first argument of the callback function.
  [in] | value | The value to synchronise.

This function allows a value to be synchronised in the debugger interface when accessible from a memory.

Note
  This function may trigger a memory access breakpoint.

Exceptions

  FAILURE | interruption when a parameter is incorrect. (Please refer to the main description page of this API.)